For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETGet asset tree
      • POSTCreate an asset
      • PATCHUpdate asset
      • GETList asset-rate bracket relations
      • POSTCreate/update asset-rate bracket relations
      • GETGet asset hierarchy structure
      • GETGet asset rate bracket ID mappings
      • GETGet asset tree
      • GETGet organisations by product
Calculator
LogoLogo
EndpointsAssets

Get organisations by product

GET
https://api.finput.com.au/api/v1/products/by-organisation
GET
/api/v1/products/by-organisation
$curl https://api.finput.com.au/api/v1/products/by-organisation \
> -H "Authorization: Bearer <token>"
1{
2 "key": [
3 {
4 "id": 1,
5 "product_name": "product_name",
6 "organisation_id": 1,
7 "min_range": 1,
8 "max_range": 1,
9 "min_amount": 1.1,
10 "max_amount": 1.1,
11 "min_abn_age": 1,
12 "max_abn_age": 1,
13 "min_asset_age": 1,
14 "max_asset_age": 1,
15 "min_gst_age": 1,
16 "max_gst_age": 1,
17 "min_asset_age_plus_term": 1,
18 "max_asset_age_plus_term": 1,
19 "min_credit_score": 1,
20 "max_credit_score": 1,
21 "monthly_fee": 1.1,
22 "documentation_fee": 1.1,
23 "brokerage_cap": 1.1,
24 "maximum_brokerage_limit": 1.1,
25 "compounding_frequency": "w",
26 "brokerage_loading_treatment": 1.1,
27 "max_origination_fee_limit": 1.1,
28 "doc_fee_financed": "yes",
29 "private_sale": "yes",
30 "sale_hire_back": "yes",
31 "home_owner": "yes",
32 "created_at": "2024-01-15T09:30:00Z",
33 "updated_at": "2024-01-15T09:30:00Z"
34 }
35 ]
36}

Returns organisation-product pairs, filtered by the user’s role (non-superusers see only their organisation).

Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Organisation-product mapping

idinteger
product_namestring
organisation_idinteger
ID of the owning organisation
min_rangeinteger

Minimum loan term (months)

max_rangeinteger

Maximum loan term (months)

min_amountdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Minimum loan amount ($)

max_amountdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Maximum loan amount ($)

min_abn_ageinteger

Minimum ABN age (months)

max_abn_ageinteger
min_asset_ageinteger

Minimum asset age (months)

max_asset_ageinteger
min_gst_ageinteger

Minimum GST registration age (months)

max_gst_ageinteger
min_asset_age_plus_terminteger
max_asset_age_plus_terminteger
min_credit_scoreinteger
max_credit_scoreinteger
monthly_feedouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
documentation_feedouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
brokerage_capdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
Maximum brokerage percentage
maximum_brokerage_limitdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
Maximum brokerage dollar amount
compounding_frequencyenum

Compounding frequency:

  • w - Weekly
  • m - Monthly
  • q - Quarterly
  • y - Yearly
Allowed values:
brokerage_loading_treatmentdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
max_origination_fee_limitdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
doc_fee_financedenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
private_saleenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
sale_hire_backenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
home_ownerenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
created_atdatetimeDefaults to 1970-01-01T00:00:00.000Z
updated_atdatetimeDefaults to 1970-01-01T00:00:00.000Z

Errors

502
Get Organisations by Product Request Bad Gateway Error
503
Get Organisations by Product Request Service Unavailable Error